Skip to main content
GET
/
public
/
v1
/
toppie
/
reporting
[BETA] Get Agency Account Report.
curl --request GET \
  --url https://api.topsort.com/public/v1/toppie/reporting \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/toppie/reporting"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/toppie/reporting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "reports": [
    {
      "adSpend": 1,
      "cpc": 123,
      "ctr": 123,
      "conversionRate": 123,
      "impressions": 1,
      "chargedImpressions": 1,
      "clicks": 1,
      "chargedClicks": 1,
      "purchaseCount": 1,
      "purchaseRevenue": 1,
      "roas": 123,
      "timegroup": "2023-12-25",
      "cpm": 0,
      "acos": 0
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Query Parameters

start_date
string<date>
required

The start date for which reports will be generated.

end_date
string<date>
required

The end date for which reports will be generated.

Response

Successful Response

reports
DailyKpis · object[]
required